﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Airbus
{
    //класс-сущность супер аэробус
    internal class EntitySuperAirbus : EntityAirbus
    {
        //Дополнительный цвет
        public Color AddColor { get; set; }

        //Признак наличия дополнительно пассажирского отсека
        public bool AddСompartment { get; private set; }

        //Признак наличия доплнительных двигателей
        public bool AddEngine { get; private set; }

        //Инициализация свойств
        public EntitySuperAirbus(int speed, float weight, Color corpusColor, Color addColor, bool addCompartment, bool addEngine) : 
            base(speed, weight, corpusColor)
        {
            AddColor = addColor;
            AddСompartment = addCompartment;
            AddEngine = addEngine;
        }
    }
}
